/*-------------------------------------------------------------------------------------------------------------------*/
/**
 *    \file       Rte_MotorController.h
 *    \author     RTE Generator
 *    \brief      Generated file - shall not be manually edited. 
 *                Implements all the RTE read and write operations that are performed by the MotorController software
 *                component.
 */
/*-------------------------------------------------------------------------------------------------------------------*/

#ifndef RTE_MOTORCONTROLLER_H
#define RTE_MOTORCONTROLLER_H

/*-------------------------------------------------------------------------------------------------------------------*/
/*                                                     Inclusions                                                    */
/*-------------------------------------------------------------------------------------------------------------------*/

#include "Rte.h"

/*-------------------------------------------------------------------------------------------------------------------*/
/*                                            Definition Of Global Macros                                            */
/*-------------------------------------------------------------------------------------------------------------------*/

#define Rte_Read_In_MotorFlag(x) ((*x) = Rte_MotorRunning_MotorFlag_Buf)

#define Rte_Read_In_RpmValue(x) ((*x) = Rte_MotorSpeed_RpmValue_Buf)

#define Rte_Write_Out_Percentage(x) (Rte_DutyCyclePercentage_Percentage_Buf = (*x))

#define Rte_Read_In_LcdDirectionIndicator(x) ((*x) = Rte_LcdDirection_LcdDirectionIndicator_Buf)

/*-------------------------------------------------------------------------------------------------------------------*/
/*                                          Definition Of Global Data Types                                          */
/*-------------------------------------------------------------------------------------------------------------------*/

/*-------------------------------------------------------------------------------------------------------------------*/
/*                                             Export Of Global Variables                                            */
/*-------------------------------------------------------------------------------------------------------------------*/

/*-------------------------------------------------------------------------------------------------------------------*/
/*                                             Export Of Global Constants                                            */
/*-------------------------------------------------------------------------------------------------------------------*/

/*-------------------------------------------------------------------------------------------------------------------*/
/*                                             Export Of Global Functions                                            */
/*-------------------------------------------------------------------------------------------------------------------*/

/*-------------------------------------------------------------------------------------------------------------------*/
#endif /* RTE_MOTORCONTROLLER_H */